Bug 613224 - X server crashes constantly with three displays on single video card
Summary: X server crashes constantly with three displays on single video card
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
: 615123 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-10 05:21 UTC by Benjamin Kingston
Modified: 2018-04-11 08:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 13:44:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (123.65 KB, text/plain)
2010-07-19 16:52 UTC, Benjamin Kingston
no flags Details
xorg.0 (41.62 KB, text/plain)
2010-07-19 16:54 UTC, Benjamin Kingston
no flags Details
xorg.1 (163.71 KB, text/plain)
2010-07-19 16:54 UTC, Benjamin Kingston
no flags Details
xorg.2 (41.62 KB, text/plain)
2010-07-19 16:55 UTC, Benjamin Kingston
no flags Details
messages (5.77 MB, text/plain)
2010-07-19 16:55 UTC, Benjamin Kingston
no flags Details
xorg.3 (41.62 KB, text/plain)
2010-07-19 16:55 UTC, Benjamin Kingston
no flags Details
xorg.4 (41.62 KB, text/plain)
2010-07-19 16:55 UTC, Benjamin Kingston
no flags Details
xorg.5 (41.62 KB, text/plain)
2010-07-19 16:56 UTC, Benjamin Kingston
no flags Details
xorg.9 (37.02 KB, text/plain)
2010-07-19 16:56 UTC, Benjamin Kingston
no flags Details

Description Benjamin Kingston 2010-07-10 05:21:25 UTC
Description of problem:
I have an ATI HD5770 that has three monitors connected. Two via DVI, and one via an active displayport to DVI adapter. After booting, when X is started, it seems to continuously crash and restart, which results in display artifacts. X immediately starts up when one (any) display is disconnected from the video card.

Version-Release number of selected component (if applicable):
Lastest kernel and x11 drivers as of 07-04-2010

How reproducible:
Completely

Steps to Reproduce:
1. Connect three displays to video card
2. boot
3. observe X crash
  
Actual results:
Constant X crash

Expected results:
X starts up, displays login, and display span all three monitors

Additional info:

2x 1440x900 and 1x 1920x1080

Setup works on Windows 7, so it isn't a hardware issue. I understand that display drivers are difficult without manufacturer support, but basic usability would be appreciated.

Comment 1 Matěj Cepl 2010-07-19 15:59:00 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Benjamin Kingston 2010-07-19 16:52:53 UTC
Created attachment 432950 [details]
dmesg

Comment 3 Benjamin Kingston 2010-07-19 16:54:11 UTC
Created attachment 432951 [details]
xorg.0

Comment 4 Benjamin Kingston 2010-07-19 16:54:29 UTC
Created attachment 432952 [details]
xorg.1

Comment 5 Benjamin Kingston 2010-07-19 16:55:12 UTC
Created attachment 432953 [details]
xorg.2

Comment 6 Benjamin Kingston 2010-07-19 16:55:33 UTC
Created attachment 432954 [details]
messages

Comment 7 Benjamin Kingston 2010-07-19 16:55:35 UTC
Created attachment 432955 [details]
xorg.3

Comment 8 Benjamin Kingston 2010-07-19 16:55:58 UTC
Created attachment 432956 [details]
xorg.4

Comment 9 Benjamin Kingston 2010-07-19 16:56:29 UTC
Created attachment 432957 [details]
xorg.5

Comment 10 Benjamin Kingston 2010-07-19 16:56:45 UTC
Created attachment 432958 [details]
xorg.9

Comment 11 Benjamin Kingston 2010-07-19 17:01:34 UTC
No Xorg.conf to submit.

Thank you for working on this, this and one other bug are the only things preventing me from using Fedora on my desktop. I'm very happy with the work you've guy's done on my Laptop install. Keep up the great work!

Comment 12 Matěj Cepl 2010-07-22 16:44:34 UTC
Backtrace:
[    84.417] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49ed48]
[    84.417] 1: /usr/bin/Xorg (0x400000+0x603c9) [0x4603c9]
[    84.417] 2: /lib64/libc.so.6 (0x7f285949a000+0x32a20) [0x7f28594cca20]
[    84.417] 3: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7f28573d9000+0xd8d00) [0x7f28574b1d00]
[    84.417] 4: /usr/bin/Xorg (0x400000+0x135535) [0x535535]
[    84.417] 5: /usr/bin/Xorg (0x400000+0x136150) [0x536150]
[    84.418] 6: /usr/bin/Xorg (0x400000+0x1386b1) [0x5386b1]
[    84.418] 7: /usr/bin/Xorg (0x400000+0x137a70) [0x537a70]
[    84.418] 8: /usr/bin/Xorg (miPointerUpdateSprite+0x157) [0x457037]
[    84.418] 9: /usr/bin/Xorg (0x400000+0x578d7) [0x4578d7]
[    84.418] 10: /usr/bin/Xorg (0x400000+0xa3463) [0x4a3463]
[    84.418] 11: /usr/bin/Xorg (0x400000+0x162b31) [0x562b31]
[    84.418] 12: /usr/bin/Xorg (0x400000+0x37717) [0x437717]
[    84.418] 13: /usr/bin/Xorg (miPointerWarpCursor+0x15b) [0x45741b]
[    84.418] 14: /usr/bin/Xorg (0x400000+0x11fdb1) [0x51fdb1]
[    84.418] 15: /usr/bin/Xorg (0x400000+0x5718c) [0x45718c]
[    84.418] 16: /usr/bin/Xorg (0x400000+0x162430) [0x562430]
[    84.418] 17: /usr/bin/Xorg (0x400000+0x37946) [0x437946]
[    84.418] 18: /usr/bin/Xorg (EnableDevice+0x21e) [0x42680e]
[    84.418] 19: /usr/bin/Xorg (0x400000+0x26fa5) [0x426fa5]
[    84.418] 20: /usr/bin/Xorg (0x400000+0x218ba) [0x4218ba]
[    84.418] 21: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f28594b8c5d]
[    84.418] 22: /usr/bin/Xorg (0x400000+0x214b9) [0x4214b9]
[    84.418] Segmentation fault at address (nil)

Comment 13 Matěj Cepl 2010-07-22 16:45:19 UTC
*** Bug 615123 has been marked as a duplicate of this bug. ***

Comment 14 Bug Zapper 2011-06-01 14:18:01 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2011-06-29 13:44:44 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.